libpurple-bin not installed by default

Bug #202464 reported by Till Ulen on 2008-03-15
2
Affects Status Importance Assigned to Milestone
ubuntu-meta (Ubuntu)
Undecided
Unassigned

Bug Description

I'm not sure whether this report belongs to libpurple-bin, ubuntu-desktop, firefox or some other package.

The package libpurple-bin is not installed by default in desktop Ubuntu. It provides a way to integrate Firefox with Pidgin via the purple-url-handler program.

When you click an xmpp (Jabber) URI in Firefox (e.g. <xmpp:<email address hidden>>), Firefox will try to open that URI using purple-url-handler. When purple-url-handler is not installed, nothing will happen. This is clearly the wrong behavior. At least an error message should be shown that explains that the package libpurple-bin provides the desired functionality but is not installed.

However, I don't see why the user should have to install libpurple-bin manually if both Firefox and Pidgin are already installed, and the package libpurple-bin can integrate them in a useful way. Maybe ubuntu-desktop can recommend libpurple-bin in addition to Pidgin? Can this change be done for Hardy?

Till Ulen (tillulen) on 2008-03-15
description: updated
Onkar Shinde (onkarshinde) wrote :

libpurple0 currently recommends libpurple-bin. I am not sure why it is not installed by default.

On Fri, Mar 21, 2008 at 12:07 PM, Onkar Shinde wrote:
> libpurple0 currently recommends libpurple-bin. I am not sure why it is
> not installed by default.

I was talking about Gutsy
<http://packages.ubuntu.com/gutsy/libpurple0>. You're right, the
recommendation has been added in Hardy
<http://packages.ubuntu.com/hardy/libpurple0>.

Unfortunately I can't test how this works in Hardy . If the
recommendation by the package libpurple0 makes Ubuntu install
libpurple-bin by default, then this bug has already fixed in Hardy and
can be closed.

Nikolaus Rath (nikratio) wrote :

In a hardy standard install, purple is installed without libpurple-bin.

Changed in ubuntu-meta:
status: New → Confirmed

In intrepid, recommends are installed by default, and this is no longer a problem. Hardy does not have this feature.

Changed in ubuntu-meta:
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers